Subject: bug#32002: 24.4; Scroll bar start, end not correct

From: Mike Kupfer <[email-masked]>
Date: Sat, 07 Jul 2018 20:00:01 -0700

Mike Kupfer wrote:

> FWIW, I built the emacs-26 branch on Debian 8 (libgtk 3.14.5), and there
> the stepper works correctly.

And on Xubuntu 16.04, the bundled Emacs uses GTK 3.18.9, and there I get
the unwanted behavior.

Some web searching led me to the GTK project's NEWS file on GitHub[1],
which has a couple entries that caught my eye.

  Overview of Changes in GTK+ 3.17.5
  ==================================
  [...]
  
  * GtkScrolledWindow
   [...]
   - Switch the roles of secondary and middle click on scrollbar steppers
     - Primary click starts low-speed autoscrolling
     - Secondary click start high-speed autoscrolling
     - Middle click scrolls to the end
   - Tweak button bindings on scrollbars (and scales)
     - Primary click warps to the location
     - Primary click with Shift jumps by pages
   - Secondary click starts variable-speed autoscrolling

  Overview of Changes in GTK+ 3.15.9
  ==================================
  
  * GtkScrolledWindow
   [...]
   - Make steppers use smooth autoscrolling

I suppose that since these entries refer to GtkScrolledWindow, rather
than GtkScrollbar, these NEWS entries do not prove that the behavior of
the scrollbar widget itself has changed.  But it looks suspicious to me.

mike

[1] https://github.com/GNOME/gtk/blob/faba0f0145b1281facba20fb90699e3db594fbb0/NEWS